Sube un archivo (CSV/XLSX en base64) y crea un borrador de importación (08 §Paso 1)
curl --request POST \
--url https://api.finzaria.com/v1/v1/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"filename": "estado-cuenta-julio.csv",
"content": "<string>"
}
'import requests
url = "https://api.finzaria.com/v1/v1/imports"
payload = {
"accountId": "<string>",
"filename": "estado-cuenta-julio.csv",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
filename: 'estado-cuenta-julio.csv',
content: '<string>'
})
};
fetch('https://api.finzaria.com/v1/v1/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"accountId": "<string>",
"filename": "<string>",
"mapping": {},
"columns": [
{
"index": 123,
"header": "<string>",
"samples": [
"<string>"
],
"field": "<string>"
}
],
"rows": [
{}
],
"newCategories": [
{
"name": "<string>",
"count": 123
}
],
"stats": {
"total": 123,
"ready": 123,
"errors": 123,
"duplicates": 123,
"excluded": 123
},
"detected": {}
}imports
Sube un archivo (CSV/XLSX en base64) y crea un borrador de importación (08 §Paso 1)
POST
/
v1
/
imports
Sube un archivo (CSV/XLSX en base64) y crea un borrador de importación (08 §Paso 1)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Available options:
draft, committed, undone Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Encoding/delimitador detectados y filas de preámbulo saltadas.
⌘I